package com.doc.task;

import com.doc.biz.domain.DocIndex;
import com.doc.biz.service.IDocIndexService;
import com.doc.biz.service.IDocInfoService;
import com.doc.biz.service.IElasticSearchService;
import com.doc.framework.web.domain.Server;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 定时任务调度测试
 *
 * @author ruoyi
 */
@Component("docIndexTask")
public class DocIndexTask {
    @Resource
    private IDocIndexService indexService;
    @Resource
    private IDocInfoService infoService;
    @Resource
    private IElasticSearchService elasticSearchService;

    public void index() {
        DocIndex search = new DocIndex();
        search.setStatus("N");
        List<DocIndex> list = indexService.selectDocIndexList(search);
        for (DocIndex index : list) {
            try {
                Server server = new Server();
                server.copyTo();
                double cpuUsed = server.getCpu().getUsed();
                double memUsed = server.getMem().getUsed();
                double limit = 80d;
                if (cpuUsed > limit || memUsed > limit) {
                    //如果cpu或者内存使用率超过80，则退出任务，等待下次执行
                    return;
                }

            } catch (Exception ignored) {
            }

            //先设置状态为正在处理
            index.setStatus("Y");
            indexService.updateDocIndex(index);

            elasticSearchService.taskSave(infoService.selectDocInfoByDocId(index.getDocId()));
        }
    }
}
