package com.doc.task;

import com.doc.common.enums.AlarmType;
import com.doc.common.enums.EventLevel;
import com.doc.framework.web.domain.Server;
import com.doc.system.domain.SysAlarm;
import com.doc.system.service.ISysAlarmService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;

/**
 * 定时任务调度测试
 *
 * @author ruoyi
 */
@Component("monitorTask")
public class MonitorTask {
    @Resource
    private ISysAlarmService alarmService;

    public void monitor() {
        try {
            Server server = new Server();
            server.copyTo();
            double cpuUsed = server.getCpu().getUsed();
            double hddUsed = server.getHdd().getUsed();
            double memUsed = server.getMem().getUsed();
            //cpu
            SysAlarm alarm = new SysAlarm();
            alarm.setAlarmLevel(level(cpuUsed).ordinal());
            alarm.setAlarmType(AlarmType.MONITOR_CPU.ordinal());
            alarm.setAlarmContent("当前CPU使用率:" + cpuUsed + "%");
            alarm.setRemark(cpuUsed + "");
            alarm.setAlarmTime(new Date());
            alarmService.insertSysAlarm(alarm);
            //硬盘
            alarm = new SysAlarm();
            alarm.setAlarmLevel(level(hddUsed).ordinal());
            alarm.setAlarmType(AlarmType.MONITOR_HDD.ordinal());
            alarm.setAlarmContent("硬盘使用已达:" + hddUsed + "%,剩余容量：" + server.getHdd().getFree());
            alarm.setRemark(hddUsed + "");
            alarm.setAlarmTime(new Date());
            alarmService.insertSysAlarm(alarm);
            //内存
            alarm = new SysAlarm();
            alarm.setAlarmLevel(level(memUsed).ordinal());
            alarm.setAlarmType(AlarmType.MONITOR_MEM.ordinal());
            alarm.setAlarmContent("当前内存使用率:" + memUsed + "%");
            alarm.setRemark(memUsed + "");
            alarm.setAlarmTime(new Date());
            alarmService.insertSysAlarm(alarm);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }

    }

    private EventLevel level(double used) {
        int high = 80;
        int middle = 60;
        EventLevel level = EventLevel.LOW;
        if (used > high) {
            level = EventLevel.HIGH;
        } else if (used > middle) {
            level = EventLevel.MIDDLE;
        }
        return level;
    }
}
