package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.biz.vo.LevelVO;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文档目录加密级别对象 doc_dir_level
 *
 * @author wukai
 * @date 2023-10-19
 */
@Data
@ApiModel(value = "DocDirLevel", description = "文档目录加密级别")
public class DocDirLevel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 目录ID
     */
    @ApiModelProperty("目录ID")
    @TableId
    private Long levelId;

    /**
     * 等级名称;
     */
    @ApiModelProperty("等级名称")
    @Excel(name = "等级名称")
    private String levelName;

    /**
     * 等级编码
     */
    @ApiModelProperty("等级编码")
    @Excel(name = "等级编码")
    private String levelCode;

    /**
     * 等级对应权限
     */
    @ApiModelProperty("等级对应权限")
    @Excel(name = "等级对应权限")
    private String levelRoles;

    @TableField(exist = false)
    private LevelVO roles;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("levelId", getLevelId())
                .append("levelName", getLevelName())
                .append("levelCode", getLevelCode())
                .append("levelRoles", getLevelRoles())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
