package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 文件ES索引;存储解析错误和需要延迟解析的对象 doc_index
 *
 * @author wukai
 * @date 2023-12-14
 */
@ApiModel(value = "DocIndex", description = "文件ES索引;存储解析错误和需要延迟解析的")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DocIndex extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    @TableId
    private Long docId;

    /**
     * 文件类型
     */
    @ApiModelProperty("正在解析")
    private String status;

    public DocIndex(DocInfo info) {
        this.docId = info.getDocId();
        this.status = "N";
    }
}
