package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 最近文件对象 doc_recent
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocRecent", description = "最近文件")
@Data
public class DocRecent extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty("自增ID")
    @TableId
    private Long recentId;

    /**
     * 是否文件夹
     */
    @ApiModelProperty("是否文件夹")
    private String isFolder;

    /**
     * 文件夹/文档ID
     */
    @ApiModelProperty("文件夹/文档ID")
    private Long relaId;

    /**
     * 所有人
     */
    @ApiModelProperty("所有人")
    private Long owner;

    @ApiModelProperty("文件/文件夹名称")
    @TableField(exist = false)
    private String name;


}
