package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 空间扩容管理对象 doc_space_expansion
 *
 * @author wukai
 * @date 2023-09-20
 */
@ApiModel(value = "DocSpaceExpansion", description = "空间扩容管理")
public class DocSpaceExpansion extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty("自增ID")
    @TableId
    private Long autoId;

    /**
     * 空间ID
     */
    @ApiModelProperty(value = "空间ID", required = true)
    @Excel(name = "空间ID")
    private Long spaceId;

    /**
     * 空间名称
     */
    @ApiModelProperty("空间名称")
    @Excel(name = "空间名称")
    private String spaceName;

    /**
     * 当前容量
     */
    @ApiModelProperty("当前容量")
    @Excel(name = "当前容量")
    private BigDecimal currentCap;

    /**
     * 申请扩充容量
     */
    @ApiModelProperty(value = "申请扩充容量", required = true)
    @Excel(name = "申请扩充容量")
    private Long expandCap;

    /**
     * 扩容原因
     */
    @ApiModelProperty(value = "扩容原因", required = true)
    @Excel(name = "扩容原因")
    private String expandReason;

    /**
     * 扩容状态 1.申请 2.同意扩容 3.拒绝扩容
     */
    @ApiModelProperty("扩容状态 1.申请 2.同意扩容 3.拒绝扩容")
    @Excel(name = "扩容状态 1.申请 2.同意扩容 3.拒绝扩容")
    private String expandStatus;

    /**
     * 审核说明
     */
    @ApiModelProperty("审核说明")
    @Excel(name = "审核说明")
    private String description;

    /**
     * 申请人ID
     */
    @ApiModelProperty("申请人ID")
    @Excel(name = "申请人ID")
    private Long created;

    public void setAutoId(Long autoId) {
        this.autoId = autoId;
    }

    public Long getAutoId() {
        return autoId;
    }

    public void setSpaceId(Long spaceId) {
        this.spaceId = spaceId;
    }

    public Long getSpaceId() {
        return spaceId;
    }

    public void setSpaceName(String spaceName) {
        this.spaceName = spaceName;
    }

    public String getSpaceName() {
        return spaceName;
    }

    public void setCurrentCap(BigDecimal currentCap) {
        this.currentCap = currentCap;
    }

    public BigDecimal getCurrentCap() {
        return currentCap;
    }

    public void setExpandCap(Long expandCap) {
        this.expandCap = expandCap;
    }

    public Long getExpandCap() {
        return expandCap;
    }

    public void setExpandReason(String expandReason) {
        this.expandReason = expandReason;
    }

    public String getExpandReason() {
        return expandReason;
    }

    public void setExpandStatus(String expandStatus) {
        this.expandStatus = expandStatus;
    }

    public String getExpandStatus() {
        return expandStatus;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setCreated(Long created) {
        this.created = created;
    }

    public Long getCreated() {
        return created;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("autoId", getAutoId())
                .append("spaceId", getSpaceId())
                .append("spaceName", getSpaceName())
                .append("currentCap", getCurrentCap())
                .append("expandCap", getExpandCap())
                .append("expandReason", getExpandReason())
                .append("expandStatus", getExpandStatus())
                .append("description", getDescription())
                .append("created", getCreated())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
