package com.doc.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocDirLevel;

/**
 * 文档目录加密级别Mapper接口
 * 
 * @author wukai
 * @date 2023-10-19
 */
public interface DocDirLevelMapper extends BaseMapper<DocDirLevel>
{
    /**
     * 查询文档目录加密级别
     * 
     * @param levelId 文档目录加密级别主键
     * @return 文档目录加密级别
     */
    public DocDirLevel selectDocDirLevelByLevelId(Long levelId);

    /**
     * 查询文档目录加密级别列表
     * 
     * @param docDirLevel 文档目录加密级别
     * @return 文档目录加密级别集合
     */
    public List<DocDirLevel> selectDocDirLevelList(DocDirLevel docDirLevel);

    /**
     * 新增文档目录加密级别
     * 
     * @param docDirLevel 文档目录加密级别
     * @return 结果
     */
    public int insertDocDirLevel(DocDirLevel docDirLevel);

    /**
     * 修改文档目录加密级别
     * 
     * @param docDirLevel 文档目录加密级别
     * @return 结果
     */
    public int updateDocDirLevel(DocDirLevel docDirLevel);

    /**
     * 删除文档目录加密级别
     * 
     * @param levelId 文档目录加密级别主键
     * @return 结果
     */
    public int deleteDocDirLevelByLevelId(Long levelId);

    /**
     * 批量删除文档目录加密级别
     * 
     * @param levelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocDirLevelByLevelIds(Long[] levelIds);

    DocDirLevel selectDocDirLevelByLevelCode(String levelCode);
}
