package com.doc.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocIndex;

/**
 * 文件ES索引;存储解析错误和需要延迟解析的Mapper接口
 * 
 * @author wukai
 * @date 2023-12-14
 */
public interface DocIndexMapper extends BaseMapper<DocIndex>
{
    /**
     * 查询文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docId 文件ES索引;存储解析错误和需要延迟解析的主键
     * @return 文件ES索引;存储解析错误和需要延迟解析的
     */
    public DocIndex selectDocIndexByDocId(Long docId);

    /**
     * 查询文件ES索引;存储解析错误和需要延迟解析的列表
     * 
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 文件ES索引;存储解析错误和需要延迟解析的集合
     */
    public List<DocIndex> selectDocIndexList(DocIndex docIndex);

    /**
     * 新增文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 结果
     */
    public int insertDocIndex(DocIndex docIndex);

    /**
     * 修改文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 结果
     */
    public int updateDocIndex(DocIndex docIndex);

    /**
     * 删除文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docId 文件ES索引;存储解析错误和需要延迟解析的主键
     * @return 结果
     */
    public int deleteDocIndexByDocId(Long docId);

    /**
     * 批量删除文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocIndexByDocIds(Long[] docIds);
}
