package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocInfo;

import java.util.List;

/**
 * 文件基本信息表Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocInfoMapper extends BaseMapper<DocInfo> {
    /**
     * 查询文件基本信息表
     *
     * @param docId 文件基本信息表主键
     * @return 文件基本信息表
     */
    public DocInfo selectDocInfoByDocId(Long docId);

    /**
     * 查询文件基本信息表列表
     *
     * @param docInfo 文件基本信息表
     * @return 文件基本信息表集合
     */
    public List<DocInfo> selectDocInfoList(DocInfo docInfo);

    /**
     * 新增文件基本信息表
     *
     * @param docInfo 文件基本信息表
     * @return 结果
     */
    public int insertDocInfo(DocInfo docInfo);

    /**
     * 修改文件基本信息表
     *
     * @param docInfo 文件基本信息表
     * @return 结果
     */
    public int updateDocInfo(DocInfo docInfo);

    /**
     * 删除文件基本信息表
     *
     * @param docId 文件基本信息表主键
     * @return 结果
     */
    public int deleteDocInfoByDocId(Long docId);

    /**
     * 批量删除文件基本信息表
     *
     * @param docIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocInfoByDocIds(Long[] docIds);

    /**
     * 通过fileID查询文件基本信息
     *
     * @param fileId mongo文件ID
     * @return 对象
     */
    DocInfo selectDocInfoByFileId(String fileId);
}
