package com.doc.biz.service;

import com.doc.biz.domain.DocActorUser;

import java.util.List;

/**
 * 文档协作成员Service接口
 *
 * @author wukai
 * @date 2023-09-18
 */
public interface IDocActorUserService {
    /**
     * 查询文档协作成员
     *
     * @param docId 文档协作成员主键
     * @return 文档协作成员
     */
    public DocActorUser selectDocActorUserByDocId(Long docId);

    /**
     * 查询文档协作成员列表
     *
     * @param docActorUser 文档协作成员
     * @return 文档协作成员集合
     */
    public List<DocActorUser> selectDocActorUserList(DocActorUser docActorUser);  /**
     * 查询文档协作成员列表
     *
     * @param docId 文档ID
     * @return 文档协作成员集合
     */
    public List<DocActorUser> selectDocActorUserListByDocId(Long docId);

    /**
     * 新增文档协作成员
     *
     * @param docActorUser 文档协作成员
     * @return 结果
     */
    public int insertDocActorUser(DocActorUser docActorUser);

    /**
     * 修改文档协作成员
     *
     * @param docActorUser 文档协作成员
     * @return 结果
     */
    public int updateDocActorUser(DocActorUser docActorUser);

    /**
     * 批量删除文档协作成员
     *
     * @param docIds 需要删除的文档协作成员主键集合
     * @return 结果
     */
    public int deleteDocActorUserByDocIds(Long[] docIds);

    /**
     * 删除文档协作成员信息
     *
     * @param docId 文档协作成员主键
     * @return 结果
     */
    public int deleteDocActorUserByDocId(Long docId);

    /**
     * 删除对象
     * @param au 对象
     */
    void delete(DocActorUser au);
}
