package com.doc.biz.service;

import java.util.List;
import com.doc.biz.domain.DocIndex;

/**
 * 文件ES索引;存储解析错误和需要延迟解析的Service接口
 * 
 * @author wukai
 * @date 2023-12-14
 */
public interface IDocIndexService 
{
    /**
     * 查询文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docId 文件ES索引;存储解析错误和需要延迟解析的主键
     * @return 文件ES索引;存储解析错误和需要延迟解析的
     */
    public DocIndex selectDocIndexByDocId(Long docId);

    /**
     * 查询文件ES索引;存储解析错误和需要延迟解析的列表
     * 
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 文件ES索引;存储解析错误和需要延迟解析的集合
     */
    public List<DocIndex> selectDocIndexList(DocIndex docIndex);

    /**
     * 新增文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 结果
     */
    public int insertDocIndex(DocIndex docIndex);

    /**
     * 修改文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 结果
     */
    public int updateDocIndex(DocIndex docIndex);

    /**
     * 批量删除文件ES索引;存储解析错误和需要延迟解析的
     * 
     * @param docIds 需要删除的文件ES索引;存储解析错误和需要延迟解析的主键集合
     * @return 结果
     */
    public int deleteDocIndexByDocIds(Long[] docIds);

    /**
     * 删除文件ES索引;存储解析错误和需要延迟解析的信息
     * 
     * @param docId 文件ES索引;存储解析错误和需要延迟解析的主键
     * @return 结果
     */
    public int deleteDocIndexByDocId(Long docId);
}
