package com.doc.biz.service;

import com.doc.biz.domain.DocInfo;
import com.doc.biz.domain.EsDocInfo;

/**
 * ES操作接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IElasticSearchService {
    /**
     * 文件内容入es库
     *
     * @param info 文档信息
     */
    void save(DocInfo info);
  /**
     * 文件内容入es库
     *
     * @param info 文档信息
     */
    void taskSave(DocInfo info);

    /**
     * 通过ID删除ES内容
     *
     * @param info 文档信息
     */
    void delete(DocInfo info);
    /**
     * 通过ID删除ES内容
     *
     * @param docId id
     */
    void delete(Long docId);

    /**
     * 根据docId 查询文本内容
     *
     * @param docId id
     * @return 文本
     */
    EsDocInfo getEsDocInfo(Long docId);
}
