package com.doc.biz.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.doc.biz.mapper.DocIndexMapper;
import com.doc.biz.domain.DocIndex;
import com.doc.biz.service.IDocIndexService;
import javax.annotation.Resource;

/**
 * 文件ES索引;存储解析错误和需要延迟解析的Service业务层处理
 *
 * @author wukai
 * @date 2023-12-14
 */
@Service
public class DocIndexServiceImpl implements IDocIndexService {
    @Resource
    private DocIndexMapper docIndexMapper;

    /**
     * 查询文件ES索引;存储解析错误和需要延迟解析的
     *
     * @param docId 文件ES索引;存储解析错误和需要延迟解析的主键
     * @return 文件ES索引;存储解析错误和需要延迟解析的
     */
    @Override
    public DocIndex selectDocIndexByDocId(Long docId) {
        return docIndexMapper.selectDocIndexByDocId(docId);
    }

    /**
     * 查询文件ES索引;存储解析错误和需要延迟解析的列表
     *
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 文件ES索引;存储解析错误和需要延迟解析的
     */
    @Override
    public List<DocIndex> selectDocIndexList(DocIndex docIndex) {
        return docIndexMapper.selectDocIndexList(docIndex);
    }

    /**
     * 新增文件ES索引;存储解析错误和需要延迟解析的
     *
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 结果
     */
    @Override
    public int insertDocIndex(DocIndex docIndex) {
            return docIndexMapper.insertDocIndex(docIndex);
    }

    /**
     * 修改文件ES索引;存储解析错误和需要延迟解析的
     *
     * @param docIndex 文件ES索引;存储解析错误和需要延迟解析的
     * @return 结果
     */
    @Override
    public int updateDocIndex(DocIndex docIndex) {
        return docIndexMapper.updateDocIndex(docIndex);
    }

    /**
     * 批量删除文件ES索引;存储解析错误和需要延迟解析的
     *
     * @param docIds 需要删除的文件ES索引;存储解析错误和需要延迟解析的主键
     * @return 结果
     */
    @Override
    public int deleteDocIndexByDocIds(Long[] docIds) {
        return docIndexMapper.deleteDocIndexByDocIds(docIds);
    }

    /**
     * 删除文件ES索引;存储解析错误和需要延迟解析的信息
     *
     * @param docId 文件ES索引;存储解析错误和需要延迟解析的主键
     * @return 结果
     */
    @Override
    public int deleteDocIndexByDocId(Long docId) {
        return docIndexMapper.deleteDocIndexByDocId(docId);
    }
}
