package com.doc.biz.vo;

import com.doc.biz.domain.DocumentFile;
import com.doc.common.utils.bean.BeanUtils;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

/**
 * 文件统一下载VO
 *
 * @author wukai
 * @date 2023-08-15
 */
@Data
public class DocumentVO implements Serializable {

    private String fileId;

    private String fileName;

    private String contentType;

    private String suffix;

    private Long fileSize;

    @JsonIgnore
    private byte[] data;

    public DocumentVO(DocumentFile mongoFile) {
        BeanUtils.copyProperties(mongoFile, this);
        if (Objects.nonNull(mongoFile.getContent())) {
            this.data = mongoFile.getContent().getData();
        }
        this.fileId = mongoFile.getId();
    }

}
