package com.doc.chat.domain;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 聊天记录管理对象 chat_msg_record
 *
 * @author wukai
 * @date 2023-11-12
 */
@ApiModel(value = "ChatMsgRecord", description = "聊天记录管理")
public class ChatMsgRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @TableId
    private Long userId;

    /**
     * 消息ID
     */
    @ApiModelProperty("消息ID")
    @TableField(value = "MSG_ID", insertStrategy = FieldStrategy.IGNORED)
    private Long msgId;

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setMsgId(Long msgId) {
        this.msgId = msgId;
    }

    public Long getMsgId() {
        return msgId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("userId", getUserId())
                .append("msgId", getMsgId())
                .toString();
    }
}
