package com.doc.chat.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.chat.domain.ChatMsgRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 聊天记录管理Mapper接口
 *
 * @author wukai
 * @date 2023-11-12
 */
public interface ChatMsgRecordMapper extends BaseMapper<ChatMsgRecord> {
    /**
     * 查询聊天记录管理
     *
     * @param userId 聊天记录管理主键
     * @return 聊天记录管理
     */
    public ChatMsgRecord selectChatMsgRecordByUserId(Long userId);

    /**
     * 查询聊天记录管理列表
     *
     * @param chatMsgRecord 聊天记录管理
     * @return 聊天记录管理集合
     */
    public List<ChatMsgRecord> selectChatMsgRecordList(ChatMsgRecord chatMsgRecord);

    /**
     * 新增聊天记录管理
     *
     * @param chatMsgRecord 聊天记录管理
     * @return 结果
     */
    public int insertChatMsgRecord(ChatMsgRecord chatMsgRecord);

    /**
     * 修改聊天记录管理
     *
     * @param chatMsgRecord 聊天记录管理
     * @return 结果
     */
    public int updateChatMsgRecord(ChatMsgRecord chatMsgRecord);

    /**
     * 删除聊天记录管理
     *
     * @param userId 聊天记录管理主键
     * @return 结果
     */
    public int deleteChatMsgRecordByUserId(Long userId);

    /**
     * 批量删除聊天记录管理
     *
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChatMsgRecordByUserIds(Long[] userIds);

    /**
     * 删除聊天记录
     *
     * @param userId  用户ID
     * @param idIndex id组合
     * @return 结果
     */
    int delRecord(@Param("userId") Long userId, @Param("idIndex") String idIndex);
}
