package com.doc.chat.service.impl;

import com.doc.chat.domain.ChatMsgRecord;
import com.doc.chat.mapper.ChatMsgRecordMapper;
import com.doc.chat.service.IChatMsgRecordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 聊天记录管理Service业务层处理
 *
 * @author wukai
 * @date 2023-11-12
 */
@Service
public class ChatMsgRecordServiceImpl implements IChatMsgRecordService {
    @Resource
    private ChatMsgRecordMapper chatMsgRecordMapper;

    /**
     * 查询聊天记录管理
     *
     * @param userId 聊天记录管理主键
     * @return 聊天记录管理
     */
    @Override
    public ChatMsgRecord selectChatMsgRecordByUserId(Long userId) {
        return chatMsgRecordMapper.selectChatMsgRecordByUserId(userId);
    }

    /**
     * 查询聊天记录管理列表
     *
     * @param chatMsgRecord 聊天记录管理
     * @return 聊天记录管理
     */
    @Override
    public List<ChatMsgRecord> selectChatMsgRecordList(ChatMsgRecord chatMsgRecord) {
        return chatMsgRecordMapper.selectChatMsgRecordList(chatMsgRecord);
    }

    /**
     * 新增聊天记录管理
     *
     * @param chatMsgRecord 聊天记录管理
     * @return 结果
     */
    @Override
    public int insertChatMsgRecord(ChatMsgRecord chatMsgRecord) {
        return chatMsgRecordMapper.insertChatMsgRecord(chatMsgRecord);
    }

    /**
     * 修改聊天记录管理
     *
     * @param chatMsgRecord 聊天记录管理
     * @return 结果
     */
    @Override
    public int updateChatMsgRecord(ChatMsgRecord chatMsgRecord) {
        return chatMsgRecordMapper.updateChatMsgRecord(chatMsgRecord);
    }

    /**
     * 批量删除聊天记录管理
     *
     * @param userIds 需要删除的聊天记录管理主键
     * @return 结果
     */
    @Override
    public int deleteChatMsgRecordByUserIds(Long[] userIds) {
        return chatMsgRecordMapper.deleteChatMsgRecordByUserIds(userIds);
    }

    /**
     * 删除聊天记录管理信息
     *
     * @param userId 聊天记录管理主键
     * @return 结果
     */
    @Override
    public int deleteChatMsgRecordByUserId(Long userId) {
        return chatMsgRecordMapper.deleteChatMsgRecordByUserId(userId);
    }

    /**
     * 删除聊天记录
     *
     * @param userId  用户ID
     * @param idIndex id组合
     * @return 结果
     */
    @Override
    public int delRecord(Long userId, String idIndex) {
        return chatMsgRecordMapper.delRecord(userId, idIndex);
    }
}
