package com.doc.ftp;

import com.doc.common.utils.encrypt.Sm2Util;
import org.apache.ftpserver.usermanager.PasswordEncryptor;

/**
 * FTP专用密码存储
 *
 * @author wukai
 * @date 2023/11/27 20:54
 */
public class Sm2Ftp implements PasswordEncryptor {

    @Override
    public String encrypt(String s) {
        return Sm2Util.encrypt(s);
    }

    @Override
    public boolean matches(String passwordToCheck, String storedPassword) {
        return passwordToCheck.equals(Sm2Util.decrypt(storedPassword));
    }

    public static void main(String[] args) {
        System.err.println(Sm2Util.encrypt("123456"));
        String p = "047b7e46111cf7e3c0aebfd3c8cee903b679e345820a5525f8fe76f5a8045099fceaaf4ec3627ad3433e883a94ac5076e1e646dd6b104be4de0b659d04ee310aba26664c2ff6833e164f89194c580e6bb1454474b80aa8ddaa6ca7a93b58c41300a74940dae491";
        System.err.println(Sm2Util.decrypt(p));
    }
}
