package com.doc.scanner.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;

/**
 * ftp用户信息对象 scanner_ftp
 *
 * @author wukai
 * @date 2023-11-28
 */
@ApiModel(value = "ScannerFtp", description = "ftp用户信息")
public class ScannerFtp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户名 */
    @ApiModelProperty("用户名")
    @TableId
    private String userid;

    /** 密码 */
    @ApiModelProperty("密码")
    private String userpassword;

    /** 默认目录 */
    @ApiModelProperty("默认目录")
    private String homedirectory;

    /** 是否可用 */
    @ApiModelProperty("是否可用")
    private String enableflag;

    /** 是否有上传权限 */
    @ApiModelProperty("是否有上传权限")
    private String writepermission;

    /** 空闲时间 */
    @ApiModelProperty("空闲时间")
    private Long idletime;

    /** 上传速率限制 */
    @ApiModelProperty("上传速率限制")
    private Long uploadrate;

    /** 下载速率限制 */
    @ApiModelProperty("下载速率限制")
    private Long downloadrate;

    /** 最大登录用户数 */
    @ApiModelProperty("最大登录用户数")
    private Long maxloginnumber;

    /** 同IP登录数 */
    @ApiModelProperty("同IP登录数")
    private Long maxloginperip;

    public void setUserid(String userid)
    {
        this.userid = userid;
    }

    public String getUserid()
    {
        return userid;
    }
    public void setUserpassword(String userpassword)
    {
        this.userpassword = userpassword;
    }

    public String getUserpassword()
    {
        return userpassword;
    }
    public void setHomedirectory(String homedirectory)
    {
        this.homedirectory = homedirectory;
    }

    public String getHomedirectory()
    {
        return homedirectory;
    }
    public void setEnableflag(String enableflag)
    {
        this.enableflag = enableflag;
    }

    public String getEnableflag()
    {
        return enableflag;
    }
    public void setWritepermission(String writepermission)
    {
        this.writepermission = writepermission;
    }

    public String getWritepermission()
    {
        return writepermission;
    }
    public void setIdletime(Long idletime)
    {
        this.idletime = idletime;
    }

    public Long getIdletime()
    {
        return idletime;
    }
    public void setUploadrate(Long uploadrate)
    {
        this.uploadrate = uploadrate;
    }

    public Long getUploadrate()
    {
        return uploadrate;
    }
    public void setDownloadrate(Long downloadrate)
    {
        this.downloadrate = downloadrate;
    }

    public Long getDownloadrate()
    {
        return downloadrate;
    }
    public void setMaxloginnumber(Long maxloginnumber)
    {
        this.maxloginnumber = maxloginnumber;
    }

    public Long getMaxloginnumber()
    {
        return maxloginnumber;
    }
    public void setMaxloginperip(Long maxloginperip)
    {
        this.maxloginperip = maxloginperip;
    }

    public Long getMaxloginperip()
    {
        return maxloginperip;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userid", getUserid())
            .append("userpassword", getUserpassword())
            .append("homedirectory", getHomedirectory())
            .append("enableflag", getEnableflag())
            .append("writepermission", getWritepermission())
            .append("idletime", getIdletime())
            .append("uploadrate", getUploadrate())
            .append("downloadrate", getDownloadrate())
            .append("maxloginnumber", getMaxloginnumber())
            .append("maxloginperip", getMaxloginperip())
            .toString();
    }
}
