package com.doc.scanner.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 扫描仪管理对象 scanner_info
 *
 * @author wukai
 * @date 2023-11-28
 */
@ApiModel(value = "ScannerInfo", description = "扫描仪管理")
@Data
public class ScannerInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 扫描仪编号
     */
    @ApiModelProperty("扫描仪编号")
    @TableId
    private Long scannerId;

    /**
     * 扫描仪名称;
     */
    @ApiModelProperty("扫描仪名称;")
    @Excel(name = "扫描仪名称;")
    private String scannerName;

    /**
     * 扫描仪IP
     */
    @ApiModelProperty("扫描仪IP")
    @Excel(name = "扫描仪IP")
    private String scannerIp;

    /**
     * 是否公用
     */
    @ApiModelProperty("是否公用")
    @Excel(name = "是否公用")
    private String isPublic;

    /**
     * FTP用户ID
     */
    @ApiModelProperty("FTP用户ID")
    @Excel(name = "FTP用户ID")
    private String userId;

    /**
     * 所属部门
     */
    @ApiModelProperty("所属部门")
    @Excel(name = "所属部门")
    private Long deptId;

    @ApiModelProperty("部门名称")
    @TableField(exist = false)
    private String deptName;
    @ApiModelProperty("ftp账号")
    @TableField(exist = false)
    private String user;
    @ApiModelProperty("ftp密码")
    @TableField(exist = false)
    private String pass;
    @ApiModelProperty("ftp端口号")
    @TableField(exist = false)
    private Integer port;
}
