package com.doc.scanner.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.scanner.domain.ScannerFtp;

/**
 * ftp用户信息Mapper接口
 * 
 * @author wukai
 * @date 2023-11-28
 */
public interface ScannerFtpMapper extends BaseMapper<ScannerFtp>
{
    /**
     * 查询ftp用户信息
     * 
     * @param userid ftp用户信息主键
     * @return ftp用户信息
     */
    public ScannerFtp selectScannerFtpByUserid(String userid);

    /**
     * 查询ftp用户信息列表
     * 
     * @param scannerFtp ftp用户信息
     * @return ftp用户信息集合
     */
    public List<ScannerFtp> selectScannerFtpList(ScannerFtp scannerFtp);

    /**
     * 新增ftp用户信息
     * 
     * @param scannerFtp ftp用户信息
     * @return 结果
     */
    public int insertScannerFtp(ScannerFtp scannerFtp);

    /**
     * 修改ftp用户信息
     * 
     * @param scannerFtp ftp用户信息
     * @return 结果
     */
    public int updateScannerFtp(ScannerFtp scannerFtp);

    /**
     * 删除ftp用户信息
     * 
     * @param userid ftp用户信息主键
     * @return 结果
     */
    public int deleteScannerFtpByUserid(String userid);

    /**
     * 批量删除ftp用户信息
     * 
     * @param userids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScannerFtpByUserids(String[] userids);
}
