package com.doc.scanner.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.scanner.domain.ScannerInfo;

/**
 * 扫描仪管理Mapper接口
 * 
 * @author wukai
 * @date 2023-11-28
 */
public interface ScannerInfoMapper extends BaseMapper<ScannerInfo>
{
    /**
     * 查询扫描仪管理
     * 
     * @param scannerId 扫描仪管理主键
     * @return 扫描仪管理
     */
    public ScannerInfo selectScannerInfoByScannerId(Long scannerId);

    /**
     * 查询扫描仪管理列表
     * 
     * @param scannerInfo 扫描仪管理
     * @return 扫描仪管理集合
     */
    public List<ScannerInfo> selectScannerInfoList(ScannerInfo scannerInfo);

    /**
     * 新增扫描仪管理
     * 
     * @param scannerInfo 扫描仪管理
     * @return 结果
     */
    public int insertScannerInfo(ScannerInfo scannerInfo);

    /**
     * 修改扫描仪管理
     * 
     * @param scannerInfo 扫描仪管理
     * @return 结果
     */
    public int updateScannerInfo(ScannerInfo scannerInfo);

    /**
     * 删除扫描仪管理
     * 
     * @param scannerId 扫描仪管理主键
     * @return 结果
     */
    public int deleteScannerInfoByScannerId(Long scannerId);

    /**
     * 批量删除扫描仪管理
     * 
     * @param scannerIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScannerInfoByScannerIds(Long[] scannerIds);
}
