package com.doc.scanner.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.doc.scanner.mapper.ScannerFtpMapper;
import com.doc.scanner.domain.ScannerFtp;
import com.doc.scanner.service.IScannerFtpService;
import javax.annotation.Resource;

/**
 * ftp用户信息Service业务层处理
 *
 * @author wukai
 * @date 2023-11-28
 */
@Service
public class ScannerFtpServiceImpl implements IScannerFtpService {
    @Resource
    private ScannerFtpMapper scannerFtpMapper;

    /**
     * 查询ftp用户信息
     *
     * @param userid ftp用户信息主键
     * @return ftp用户信息
     */
    @Override
    public ScannerFtp selectScannerFtpByUserid(String userid) {
        return scannerFtpMapper.selectScannerFtpByUserid(userid);
    }

    /**
     * 查询ftp用户信息列表
     *
     * @param scannerFtp ftp用户信息
     * @return ftp用户信息
     */
    @Override
    public List<ScannerFtp> selectScannerFtpList(ScannerFtp scannerFtp) {
        return scannerFtpMapper.selectScannerFtpList(scannerFtp);
    }

    /**
     * 新增ftp用户信息
     *
     * @param scannerFtp ftp用户信息
     * @return 结果
     */
    @Override
    public int insertScannerFtp(ScannerFtp scannerFtp) {
            return scannerFtpMapper.insertScannerFtp(scannerFtp);
    }

    /**
     * 修改ftp用户信息
     *
     * @param scannerFtp ftp用户信息
     * @return 结果
     */
    @Override
    public int updateScannerFtp(ScannerFtp scannerFtp) {
        return scannerFtpMapper.updateScannerFtp(scannerFtp);
    }

    /**
     * 批量删除ftp用户信息
     *
     * @param userids 需要删除的ftp用户信息主键
     * @return 结果
     */
    @Override
    public int deleteScannerFtpByUserids(String[] userids) {
        return scannerFtpMapper.deleteScannerFtpByUserids(userids);
    }

    /**
     * 删除ftp用户信息信息
     *
     * @param userid ftp用户信息主键
     * @return 结果
     */
    @Override
    public int deleteScannerFtpByUserid(String userid) {
        return scannerFtpMapper.deleteScannerFtpByUserid(userid);
    }
}
