package com.doc.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 系统告警对象 sys_alarm
 *
 * @author wukai
 * @date 2023-11-24
 */
@ApiModel(value = "SysAlarm", description = "系统告警")
@Data
public class SysAlarm extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 告警主键
     */
    @ApiModelProperty("告警主键")
    @TableId
    private Long alarmId;

    /**
     * 告警内容
     */
    @ApiModelProperty("告警内容")
    @Excel(name = "告警内容")
    private String alarmContent;

    /**
     * 告警级别
     */
    @ApiModelProperty("告警级别")
    @Excel(name = "告警级别",dictType="event_level")
    private Integer alarmLevel;

    /**
     * 告警类型
     */
    @ApiModelProperty("告警类型")
    @Excel(name = "告警类型",dictType="alarm_type")
    private Integer alarmType;

    /**
     * 告警时间
     */
    @ApiModelProperty("告警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "告警时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;
}
