package com.doc.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 系统告警短信发送对象 sys_alarm_sms
 *
 * @author wukai
 * @date 2023-12-12
 */
@ApiModel(value = "SysAlarmSms", description = "系统告警短信发送")
public class SysAlarmSms extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 告警主键 */
    @ApiModelProperty("告警主键")
    @TableId
    private Long alarmId;

    /** 告警关键字 */
    @ApiModelProperty("告警关键字")
    @Excel(name = "告警关键字")
    private String alartKey;

    /** 告警类型 */
    @ApiModelProperty("告警类型")
    @Excel(name = "告警类型")
    private Long alarmType;

    /** 告警时间 */
    @ApiModelProperty("告警时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "告警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    public void setAlarmId(Long alarmId)
    {
        this.alarmId = alarmId;
    }

    public Long getAlarmId()
    {
        return alarmId;
    }
    public void setAlartKey(String alartKey)
    {
        this.alartKey = alartKey;
    }

    public String getAlartKey()
    {
        return alartKey;
    }
    public void setAlarmType(Long alarmType)
    {
        this.alarmType = alarmType;
    }

    public Long getAlarmType()
    {
        return alarmType;
    }
    public void setSendTime(Date sendTime)
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime()
    {
        return sendTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("alarmId", getAlarmId())
            .append("alartKey", getAlartKey())
            .append("alarmType", getAlarmType())
            .append("sendTime", getSendTime())
            .append("remark", getRemark())
            .toString();
    }
}
