package com.doc.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.system.domain.SysAlarmSms;

import java.util.List;

/**
 * 系统告警短信发送Mapper接口
 *
 * @author wukai
 * @date 2023-12-12
 */
public interface SysAlarmSmsMapper extends BaseMapper<SysAlarmSms> {
    /**
     * 查询系统告警短信发送
     *
     * @param alarmId 系统告警短信发送主键
     * @return 系统告警短信发送
     */
    public SysAlarmSms selectSysAlarmSmsByAlarmId(Long alarmId);

    /**
     * 查询系统告警短信发送列表
     *
     * @param sysAlarmSms 系统告警短信发送
     * @return 系统告警短信发送集合
     */
    public List<SysAlarmSms> selectSysAlarmSmsList(SysAlarmSms sysAlarmSms);

    /**
     * 新增系统告警短信发送
     *
     * @param sysAlarmSms 系统告警短信发送
     * @return 结果
     */
    public int insertSysAlarmSms(SysAlarmSms sysAlarmSms);

    /**
     * 修改系统告警短信发送
     *
     * @param sysAlarmSms 系统告警短信发送
     * @return 结果
     */
    public int updateSysAlarmSms(SysAlarmSms sysAlarmSms);

    /**
     * 删除系统告警短信发送
     *
     * @param alarmId 系统告警短信发送主键
     * @return 结果
     */
    public int deleteSysAlarmSmsByAlarmId(Long alarmId);

    /**
     * 批量删除系统告警短信发送
     *
     * @param alarmIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAlarmSmsByAlarmIds(Long[] alarmIds);
}
