package com.doc.system.service;

import com.doc.system.domain.SysAlarm;

import java.util.List;

/**
 * 系统告警Service接口
 *
 * @author wukai
 * @date 2023-11-24
 */
public interface ISysAlarmService {
    /**
     * 查询系统告警
     *
     * @param alarmId 系统告警主键
     * @return 系统告警
     */
    public SysAlarm selectSysAlarmByAlarmId(Long alarmId);

    /**
     * 查询系统告警列表
     *
     * @param sysAlarm 系统告警
     * @return 系统告警集合
     */
    public List<SysAlarm> selectSysAlarmList(SysAlarm sysAlarm);

    /**
     * 新增系统告警
     *
     * @param sysAlarm 系统告警
     * @return 结果
     */
    public int insertSysAlarm(SysAlarm sysAlarm);

    /**
     * 修改系统告警
     *
     * @param sysAlarm 系统告警
     * @return 结果
     */
    public int updateSysAlarm(SysAlarm sysAlarm);

    /**
     * 批量删除系统告警
     *
     * @param alarmIds 需要删除的系统告警主键集合
     * @return 结果
     */
    public int deleteSysAlarmByAlarmIds(Long[] alarmIds);

    /**
     * 删除系统告警信息
     *
     * @param alarmId 系统告警主键
     * @return 结果
     */
    public int deleteSysAlarmByAlarmId(Long alarmId);

    /**
     * 硬件监控
     */
    void monitor();
}
