package com.doc.system.service;

import com.doc.system.domain.SysAlarmSms;

import java.util.List;

/**
 * 系统告警短信发送Service接口
 *
 * @author wukai
 * @date 2023-12-12
 */
public interface ISysAlarmSmsService {
    /**
     * 查询系统告警短信发送
     *
     * @param alarmId 系统告警短信发送主键
     * @return 系统告警短信发送
     */
    public SysAlarmSms selectSysAlarmSmsByAlarmId(Long alarmId);

    /**
     * 查询系统告警短信发送列表
     *
     * @param sysAlarmSms 系统告警短信发送
     * @return 系统告警短信发送集合
     */
    public List<SysAlarmSms> selectSysAlarmSmsList(SysAlarmSms sysAlarmSms);

    /**
     * 新增系统告警短信发送
     *
     * @param sysAlarmSms 系统告警短信发送
     * @return 结果
     */
    public int insertSysAlarmSms(SysAlarmSms sysAlarmSms);

    /**
     * 修改系统告警短信发送
     *
     * @param sysAlarmSms 系统告警短信发送
     * @return 结果
     */
    public int updateSysAlarmSms(SysAlarmSms sysAlarmSms);

    /**
     * 批量删除系统告警短信发送
     *
     * @param alarmIds 需要删除的系统告警短信发送主键集合
     * @return 结果
     */
    public int deleteSysAlarmSmsByAlarmIds(Long[] alarmIds);

    /**
     * 删除系统告警短信发送信息
     *
     * @param alarmId 系统告警短信发送主键
     * @return 结果
     */
    public int deleteSysAlarmSmsByAlarmId(Long alarmId);

    /**
     * 查询是否已经发送
     *
     * @param type   类型
     * @param key 关键字
     * @return
     */
    boolean isSend(int type, String key);
}
