package com.doc.system.service;

import com.doc.common.core.domain.entity.SysUserExpand;

import java.util.List;

/**
 * 用户登录限制Service接口
 * 
 * @author wukai
 * @date 2023-10-11
 */
public interface ISysUserExpandService 
{
    /**
     * 查询用户登录限制
     * 
     * @param userId 用户登录限制主键
     * @return 用户登录限制
     */
    public SysUserExpand selectSysUserExpandByUserId(Long userId);

    /**
     * 查询用户登录限制列表
     * 
     * @param sysUserExpand 用户登录限制
     * @return 用户登录限制集合
     */
    public List<SysUserExpand> selectSysUserExpandList(SysUserExpand sysUserExpand);

    /**
     * 新增用户登录限制
     * 
     * @param sysUserExpand 用户登录限制
     * @return 结果
     */
    public int insertSysUserExpand(SysUserExpand sysUserExpand);

    /**
     * 修改用户登录限制
     * 
     * @param sysUserExpand 用户登录限制
     * @return 结果
     */
    public int updateSysUserExpand(SysUserExpand sysUserExpand);

    /**
     * 批量删除用户登录限制
     * 
     * @param userIds 需要删除的用户登录限制主键集合
     * @return 结果
     */
    public int deleteSysUserExpandByUserIds(Long[] userIds);

    /**
     * 删除用户登录限制信息
     * 
     * @param userId 用户登录限制主键
     * @return 结果
     */
    public int deleteSysUserExpandByUserId(Long userId);
}
